#!/bin/bash
PATH=/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/lhcb/lhcbrich/bin:/lhcb/lhcbrich/Upgrade/PDMDBTesting/bin
# Run the LHCb scripts so we can set up the ROOT environment
. /lhcb/scripts/lhcb-setup.sh >>analysis.log 2>&1

# Make the phase scan histograms

cd PhaseScanData
for dtm in 0 1 2
do
  for gbtx in 0 1
  do
    if [[ -f phaseScan.$dtm.$gbtx.dat ]]
    then
    lb-run ROOT makeTree phaseScan.$dtm.$gbtx.dat scan.root >>analysis.log 2>&1
    lb-run ROOT makeHists scan.root >>analysis.log 2>&1
    mv ChannelBits.pdf phaseScan.$dtm.$gbtx.pdf
    fi
  done
done

echo -n OK\|$(pwd)
